/v1/workspaces/{workspace_id}/notification-typesAuthList notification types
Newest first; archived types only with `include_archived=true`.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
categorystringOnly types of this category (key).
include_archivedstringInclude archived types.
cursorstringOpaque cursor: the `next_cursor` of the previous page.
limitintegerPage size.
Response · 200 A page of types.
data*arrayTypes, newest first.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/notification-types
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"key": "invoice.paid",
"name": "string",
"description": "string",
"category_id": "00000000-0000-0000-0000-000000000000",
"category_key": "string",
"routing": {},
"critical": false,
"ttl_seconds": 0,
"default_locale": "string",
"email_quiet_hours": false,
"throttle": {},
"archived_at": "2026-01-01T00:00:00.000Z",
"version": 0,
"templates": [
{
"channel": {},
"locale": "pt-PT",
"version": 0,
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}